/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0
 */
export interface DistinguishedNameProps {
    readonly CN: string;
    readonly O?: string;
    readonly OU?: string;
}
export declare function implementsDistinguishedNameProps(value: any): boolean;
export declare class DistinguishedName {
    readonly CN: string;
    readonly O?: string;
    readonly OU?: string;
    constructor(props: DistinguishedNameProps);
    toString(): string;
    isValid(): boolean;
}
